ATAN(3) | Library Functions Manual | ATAN(3)

# NAME

`atan`, `atanf`, `atanl` — arc tangent function of one variable

# LIBRARY

Math Library (libm, -lm)

# SYNOPSIS

`#include <math.h>`

double
`atan`(double x);

float
`atanf`(float x);

long double
`atanl`(long double x);

# DESCRIPTION

The `atan`(), `atanf`(), and `atanl`() functions compute the principal value of the arc tangent of x in the range [-pi/2, +pi/2].

# SEE ALSO

acos(3), asin(3), atan2(3), cos(3), cosh(3), math(3), sin(3), sinh(3), tan(3), tanh(3)

# STANDARDS

The `atan`() functions conforms to ISO/IEC 9899:1999 (“ISO C99”).

January 29, 2013 | NetBSD 11.0